Description: use free port for test
Author: Martin <debacle@debian.org>
Origin: vendor
Bug-Debian: https://bugs.debian.org/1023019
Last-Update: 2022-11-02
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/test/test_asyncio.py
+++ b/test/test_asyncio.py
@@ -21,8 +21,17 @@
 
 import serial_asyncio
 
+import socket
+import contextlib
+
+def _free_port():
+    with contextlib.closing(socket.socket(socket.AF_INET, socket.SOCK_STREAM)) as s:
+        s.bind(('', 0))
+        s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
+        return s.getsockname()[1]
+
 HOST = '127.0.0.1'
-_PORT = 8888
+_PORT = _free_port()
 
 # on which port should the tests be performed:
 PORT = 'socket://%s:%s' % (HOST, _PORT)
